Bug 952 - No DRI/DDX/DRM versions checks with old libGL<->driver interface?
Summary: No DRI/DDX/DRM versions checks with old libGL<->driver interface?
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: General (show other bugs)
Version: XOrg git
Hardware: All All
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-31 02:44 UTC by Felix Kühling
Modified: 2005-04-08 00:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Kühling 2004-07-31 02:44:09 UTC
With the current code in dri_util.c a new driver loaded by an old libGL will not
perform any DRI/DDX/DRM versions checks. Ian believes that the call to
__driUtilCreateNewScreen in __driUtilCreateScreen should be replaced with a call
to __driCreateNewScreen which would perform the version checks. OTOH, drivers
not ported yet don't have that function.
Comment 1 Ian Romanick 2005-04-08 17:08:14 UTC
The only drivers that build anymore use the "new" interface.  Because of that,
all the drivers have some sort of version check.  I'm resolving this as
"WONTFIX" because we really don't care about the drivers where this is still an
issue.  They're pretty much toast anyway.  Care for a nice cup of s3v driver?


bug/show.html.tmpl processed on Dec 04, 2016 at 16:14:41.
(provided by the Example extension).